package ru.yandex.autotests.directapi.darkside.datacontainers.jsonrpc.metrica;

import com.fasterxml.jackson.annotation.JsonProperty;
import ru.yandex.autotests.irt.testutils.json.JsonUtils;

/**
 * User: omaz
 * Date: 19.11.13
 * контейнер для запроса к metrica_get_retargetings
 */
public class MetricaRetargetingRequestData {
    private Integer retargetingConditionID;
    private Integer orderID;

    public MetricaRetargetingRequestData(Integer retargetingConditionID, Integer orderID) {
        this.retargetingConditionID = retargetingConditionID;
        this.orderID = orderID;
    }

    @JsonProperty("ret_cond_id")
    public Integer getRetargetingConditionID() {
        return this.retargetingConditionID;
    }

    @JsonProperty("OrderID")
    public Integer getOrderID() {
        return this.orderID;
    }

    @Override
    public String toString() {
        return JsonUtils.toString(this);
    }
}
